#ifndef _area_business_card_enter_or_leave_hpp_
#define _area_business_card_enter_or_leave_hpp_

#include "area_business.h"

struct area_business_card_enter_or_leave:area_business
{
	int area_business_type()
	{
		return 9;
	}

    void on_load_his(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data>&ptr);

	//进入区域则入库操作
	void on_enter(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data>&ptr);
	void on_hover(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data> ptr);
	//出区域则入库
	void on_leave(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data> ptr);
};

#endif

